# 英德市人民政府（清远下辖，同集团 CMS 带 ctct 盾）
# HTTPS 证书 hostname mismatch → 全站 HTTP 访问
# 真实 selectors（2026-04-22 实测）：
#   列表: <div class="list-right"><ul><li><a>标题</a><span>日期</span></li>...</ul></div>
#   详情: <ucaptitle>标题</ucaptitle> + <publishtime>时间</publishtime>
#         + <span id="ly">来源</span> + <div id="zoomcon">正文</div>

site_id: yingde
site_name: 英德市人民政府
base_url: http://www.yingde.gov.cn
default_strategy: httpx         # 实测 yingde 无 ctct 盾，httpx 直接 200（2026-04-22 验证）
concurrency: 1
interval_sec: 10
enabled: true
respect_robots: true

# 任何未在 columns: 中显式列出的 column_id 都自动用这套
default_column:
  list_selector:
    row: "div.list-right ul li"
    href: "a::attr(href)"
    title: "a::text"
    date: "span::text"
  pagination:
    type: page_param
    param: page
    max_pages: 30
  detail:
    title: "ucaptitle::text, h1.article-title::text, h1::text"
    publish_time: "publishtime::text, span.time::text"
    source: "span#ly::text, span.source::text"
    content: "div#zoomcon, div.article-content, div.TRS_Editor"
    attachment_css: >-
      a[href$='.pdf'], a[href$='.doc'], a[href$='.docx'],
      a[href$='.xls'], a[href$='.xlsx'], a[href$='.zip']

columns:
  - column_id: zfwj
    name: 政府文件
    category: 法规文件
    list_url: http://www.yingde.gov.cn/zwgk/fggw/zfwj/
    list_selector:
      row: "div.list-right ul li"
      href: "a::attr(href)"
      title: "a::text"
      date: "span::text"
    pagination:
      type: page_param
      param: page
      max_pages: 30
    detail:
      title: "ucaptitle::text, h1.article-title::text, h1::text"
      publish_time: "publishtime::text, span.time::text"
      source: "span#ly::text, span.source::text"
      content: "div#zoomcon, div.article-content, div.TRS_Editor"
      attachment_css: >-
        a[href$='.pdf'], a[href$='.doc'], a[href$='.docx'],
        a[href$='.xls'], a[href$='.xlsx'], a[href$='.zip']
    schedule: "0 2 * * *"
    enabled: true

  - column_id: gfxwj
    name: 规范性文件
    category: 法规文件
    list_url: http://www.yingde.gov.cn/zwgk/fggw/gfxwj/
    list_selector:
      row: "div.list-right ul li"
      href: "a::attr(href)"
      title: "a::text"
      date: "span::text"
    pagination:
      type: page_param
      param: page
      max_pages: 30
    detail:
      title: "ucaptitle::text, h1.article-title::text, h1::text"
      publish_time: "publishtime::text, span.time::text"
      source: "span#ly::text, span.source::text"
      content: "div#zoomcon, div.article-content, div.TRS_Editor"
      attachment_css: >-
        a[href$='.pdf'], a[href$='.doc'], a[href$='.docx'],
        a[href$='.xls'], a[href$='.xlsx'], a[href$='.zip']
    schedule: "0 2 * * *"
    enabled: true
